CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbBasicList_st Struct Reference

A basic list element in a template which structure represents a basic list on the internal side, basic lists in an IPFIX Message must be represented by this structure within the application record. More...

`#include <public.h>`

## Data Fields

const fbInfoElement_t * | infoElement
| pointer to the information element that is repeated in the list
uint8_t * | dataPtr
| pointer to the memory that stores the elements in the list
uint16_t | numElements
| number of elements in the list
uint16_t | dataLength
| length of the buffer used to store the elements in the list
uint8_t | semantic
| semantic field to describe the list

## Detailed Description

A basic list element in a template which structure represents a basic list on the internal side, basic lists in an IPFIX Message must be represented by this structure within the application record.

The documentation for this struct was generated from the following file:

- public.h